import { S3 } from 'aws-sdk';
export declare class S3Client {
    private readonly s3?;
    constructor(s3?: S3);
    private static defaultRegion;
    static setRegion(region: string): void;
    getObjectContent(bucket: string, key: string): Promise<string>;
    getObjectList(bucket: string, prefix: string): Promise<Array<string>>;
    deleteObject(bucket: string, key: string): Promise<boolean>;
}
